Subject: Re: More on relative pathname
From: [email-masked] (Christopher G. Faylor)

16 Jan 1999 04:14:28 GMT
Message-ID: <[email-masked]>
References: <[email-masked]> <[email-masked]>
X-Newsreader: trn 4.0-test63 (15 March 1998)

In article <[email-masked]>,
Corinna Vinschen <[email-masked]> wrote:
>Gordon Watts (Brown University) wrote:
>> 
>> Taking the suggestion of Earnie Boyd, I replaced the #!/bin/sh in my sample
>> script with #!/bin/bash. Now the relative path names work fine.
>> Unfortunately, I can't make this change in all the code I'm running (this is
>> a port with a common source base), so I still need to get sh to work
>> correctly, but it is an interesting data point, none the less. Would this
>> indicate a problem in sh or in the cygwin dll below it? I guess it depends
>> upon how sh invokes sub-shells.
>> 
>>         Cheers,
>>                 Gordon.
>
>Copy bash.exe to /bin/sh.exe and it will work, without changing the script.

At the expense of substantial performance penalty.

It's a cygwin bug, fixed in the latest snapshot.
-- 
[email-masked]
http://www.cygnus.com/